@import "./typography";
@import "./mediaQueries";

// palette
// red
$red-100: rgb(255 181 187);
$red-200: rgb(251 142 151);
$red-300: rgb(246 105 116);
$red-400: rgb(242 69 83);
$red-500: rgb(237 34 50);
$red-600: rgb(192 21 34);
$red-700: rgb(148 11 22);
$red-800: rgb(103 4 12);
$red-900: rgb(59 0 5);

// blue
$blue-100: rgb(201 228 255);
$blue-200: rgb(142 183 224);
$blue-300: rgb(92 143 194);
$blue-400: rgb(52 107 163);
$blue-500: rgb(21 77 133);
$blue-600: rgb(0 51 102);
$blue-700: rgb(0 37 74);
$blue-800: rgb(0 23 46);
$blue-900: rgb(0 9 18);

// gray
$gray-020: rgb(250 250 250);
$gray-040: rgb(243 243 245);
$gray-100: rgb(224 225 230);
$gray-140: rgb(212 214 219);
$gray-200: rgb(196 198 204);
$gray-300: rgb(170 173 179);
$gray-400: rgb(145 147 153);
$gray-500: rgb(121 122 128);
$gray-600: rgb(96 98 102);
$gray-700: rgb(72 74 77);
$gray-800: rgb(49 49 51);
$gray-900: rgb(25 25 26);
$gray-black: rgb(0 0 0);

// color-theme
$primary-color: #000dff;
$primary-color-hover: #0009be;
$primary-color-active: #0008a0;
$secondary-color: $blue-600;
$secondary-color-hover: rgb(0 61 122);
$secondary-color-active: rgb(0 46 92);
$primary-color-lighter: rgb(149 170 191);
$primary-color-light: rgb(92 116 153);
$primary-color-dark: rgb(0 51 102);
$secondary-color: #000dff;
$tertiary-color: rgb(255 223 33);
$black-light: rgb(0 0 0 / 64%);
$black: rgb(0 0 0);
$white: rgb(255 255 255);
$gray-lightetst: rgba(246 248 250);
$gray-lighter: rgb(0 51 102 / 4%);
$gray-light: rgb(204 204 204);
$gray-dark: rgb(102 102 102);
$grad-gray: linear-gradient(177.42deg, rgb(0 51 102 / 0%) 2.15%, rgb(0 51 102) 97.85%);
$grad-col1: rgba(215 223 231);
$grad-col2: rgb(234 238 242);
$grad-col3: rgb(237 240 244);
$grad-col4: rgb(231 231 231);
$grad-gray2: linear-gradient(0deg, rgb(0 51 102 / 8%), rgb(0 51 102 / 10%) 1%, $white);
$grad-gray3: linear-gradient(224.93deg, rgb(150 170 183 / 5%) -0.12%, rgb(114 136 150 / 5%) 100%);
$grad-gray-badge: linear-gradient(224.93deg, rgb(150 170 183 / 40%) -0.12%, rgb(114 136 150 / 40%) 100%);
$background-color: rgb(231 231 231);
$background-color-administration: linear-gradient(180deg, rgb(230 235 240 / 0%) 0%, #fff 100%);
$disabled-gray: rgb(94 94 98);
$color-success: rgb(7 133 70);
$color-warning: rgb(204 134 12);
$color-error: rgb(204 24 24);
$banner-warning: rgb(207 159 81 / 50%);
$banner-warning-text: $color-warning;
$banner-error: rgb(224 119 96 / 50%);
$banner-error-text: $color-error;
$banner-info: rgb(83 149 103 / 50%);
$banner-info-text: $color-success;

@mixin strokes {
    &_color-primary {
        stroke: $primary-color;
    }

    &_color-secondary {
        stroke: $secondary-color;
    }

    &_color-tertiary {
        stroke: $tertiary-color;
    }

    &_color-black {
        stroke: $black;
    }
}

@mixin fills {
    &_color-primary {
        fill: $primary-color;
    }

    &_color-secondary {
        fill: $secondary-color;
    }

    &_color-tertiary {
        fill: $tertiary-color;
    }

    &_color-black {
        fill: $black;
    }
}

@mixin direction($deg) {
    transform: rotate($deg);
    transform-box: fill-box;
    transform-origin: center;
}

// main background
$main-background: $grad-gray2;

// horizontal line
@mixin horizontal-line {
    color: $secondary-color;
    opacity: 0.2;
    width: 100%;
}

// shadows
$shadow-light: 0 5px 5px rgba(0 51 102 / 30%);
$shadow: rgb(0 0 0 / 25%) 0 4px 4px;

@mixin card-shadow {
    box-shadow:
        0 84px 136px rgb(0 51 102 / 8%),
        0 19px 30px rgb(0 51 102 / 4%),
        0 5px 9px rgb(0 51 102 / 5%);
}

@mixin shadow-high {
    box-shadow:
        0 100px 80px rgb(0 0 0 / 13%),
        0 41px 33px rgb(0 0 0 / 9%),
        0 22px 17px rgb(0 0 0 / 7%),
        0 12px 10px rgba(0 0 0 / 6%),
        0 6px 5px rgb(0 0 0 / 5%),
        0 2px 2px rgb(0 0 0 / 3%);
}

@mixin shadow-inset {
    box-shadow: inset 0 4px 4px rgb(0 51 102 / 10%);
}

@mixin scroll-nav-shadow {
    box-shadow:
        0 22px 48px rgb(0 0 0 / 15%),
        0 8px 18px rgb(0 0 0 / 11%),
        0 4px 9px rgb(0 0 0 / 9%),
        0 2px 4px rgb(0 0 0 / 7%),
        0 1px 2px rgb(0 0 0 / 5%);
}

// scrollbars

@mixin scrollbars {
    scrollbar-width: thin;
    scrollbar-color: rgba($gray-dark, 0.5);

    &::-webkit-scrollbar {
        width: 0.4rem;
        height: 0.6rem;
        opacity: 0.5;
    }

    &::-webkit-scrollbar-track {
        background-color: rgba($gray-light, 0.3);
    }

    &::-webkit-scrollbar-thumb {
        background-color: rgba($gray-light, 0.3);
        outline: 1px solid rgba($gray-dark, 0.3);
    }
}

// layout
$padding-sm: 1.25rem;
$padding-lg: 2.5rem;
$border-radius-menu: 4px 0 0 4px;
$border-radius: 4px;

@mixin json-newline {
    white-space: pre-line;
    vertical-align: bottom;
}

@mixin text-truncate {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

// flex
@mixin col {
    display: flex;
    flex-direction: column;
}

@mixin row {
    display: flex;
    flex-direction: row;
}

@mixin flex-center {
    display: flex;
    justify-content: center;
    align-items: center;
}

// grid
